## 一、Socks5 服务端配置推荐
- 系统：Ubuntu
- 代理服务器软件 : dante 1.4.2
## 二、dante 编译 + 部署
- cd ~ (切换到home目录)
- mkdir dante 
- cd dante
- 到[dante官网](http://www.inet.no/dante/download.html)下载源码 到~/dante目录
- tar zxvf dante-1.4.2.tar.gz (解压到当前文件夹)
- mkdir build
- cd dante-1.4.2
- ./configure --prefix=/root/dante/build
- make
- make install
- cd ../build
- vim dante.conf  (创建配置文件)

``` 
errorlog: /root/dante/build/sockd.errlog
logoutput: /root/dante/build/sockd.log
#debug: 2

user.privileged: root
user.unprivileged: nobody

# The listening network interface or address.
internal: 0.0.0.0 port=1080

# The proxying network interface or address.
external: eth0

# socks-rules determine what is proxied through the external interface.
# The default of "none" permits anonymous access.
socksmethod: none

# client-rules determine who can connect to the internal interface.
# The default of "none" permits anonymous access.
clientmethod: none

client pass {
        from: 0.0.0.0/0 to: 0.0.0.0/0
        log: connect disconnect error
}

socks pass {
        from: 0.0.0.0/0 to: 0.0.0.0/0
        log: connect disconnect error
}
```
- ./sbin/sockd -D -f /dante.conf (启动服务)


 !24 !!#ff0000 注意：如果是部署到云服务器!!! 
!!#ff0000 部署到云服务器上 需要修改dante 源码，因为dante 无法获取到 公网ip
修改文件 ~/dante/dante-1.4.2/sockd/sockd_protocol.c 的 send_response 函数!!
!!#ff0000 比如：!!
![img](https://main.qcloudimg.com/raw/897bca26e417cddac12613269f32e232.png)