## TRTC (实时音视频)通过代理访问网络方案

| 方案名 | 适用场景 | 网络要求 |
| --- | --- | --- |
| 方案 | 允许客户端通过内网代理服务器访问外网 | 允许proxy server访问外网 |

### 方案示意图

![](https://main.qcloudimg.com/raw/73f7dc6eec9404c1c61c4d0ce31e50b0.png)
### 代理服务器部署
TRTC提供开源代理服务器安装方法，企业用户按下面方法部署代理服务器进行调试。具体步骤如下：

1. 访问网址获取部署脚本，[Server部署方法](http://trtc-1252463788.file.myqcloud.com/proxy/proxy_server_deploy.zip) 适用Ubuntu服务器。
2. 根据《部署方法.md》，自行部署代理服务器。
3. 在企业防火墙上添加 IP 地址和端口，允许内网代理服务器可以访问外网。
4. 调用TRTC设置代理接口，将内网Socks代理服务器的IP地址和端口作为参数传递给TRTC SDK。


### TRTC SDK 代理设置接口

#### setSocks5Proxy 设置socks5代理API
@note：SDK设置此代理后，在内网环境可以正常使用进房、发布本地音视频、订阅远端音视频、退房功能。
```
std::string socks5_ip = "106.53.69.176";
int socks5_port = 1080;
trtc_sdk->setSocks5Proxy(socks5_ip.c_str(), socks5_port); 
```